## nvda2speechd 0.1

=== debian/changelog ===
nvda2speechd (0.1-6+deb12u1) bookworm; urgency=medium

  * debian/patches/upgrade: Bump rmp-serde version (Closes: Bug#1078901)

 -- Samuel Thibault <sthibault@debian.org>  Thu, 15 May 2025 11:17:13 +0200

nvda2speechd (0.1-6) unstable; urgency=medium

  * patches/force-deps: Make sure to always use the same versions
    (Closes: Bug#1023043).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Oct 2022 18:59:31 +0200

nvda2speechd (0.1-5) unstable; urgency=medium

  * control: Move to non-free because we can't build without network resources
    (Closes: #1021390). Explicitly make it non-buildable on buildds.
  * debian/README.source: Update section.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 10 Oct 2022 22:00:25 +0200

nvda2speechd (0.1-4) unstable; urgency=medium

  * control: Make nvdacontrollerclient M-A: back to "same": "allowed" doesn't
    mean it's co-installable.
  * control: Demote nvdacontrollerclient dependency to a recommends.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 10 Oct 2022 19:32:15 +0200

nvda2speechd (0.1-3) unstable; urgency=medium

  * control: Make nvdacontrollerclient M-A: allowed since it's co-installable
    and either can fit a dependency.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 10 Oct 2022 13:44:52 +0200

nvda2speechd (0.1-2) unstable; urgency=medium

  * patches/git-i386: Bump speech-dispatcher-rs version, to fix i386 build.
  * rules: Enable i386 server build.
  * control: Enable i386 server package build.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 01 Oct 2022 14:13:29 +0200

nvda2speechd (0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1019276)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 11 Sep 2022 10:18:57 +0200
