=== debian/control ===
Source: nvda2speechd
Section: non-free/sound
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
Uploaders: Samuel Thibault <sthibault@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 curl, ca-certificates,
 cargo,
 clang,
 mingw-w64, gcc-mingw-w64-i686-win32-runtime [i386],
 libspeechd-dev,
Standards-Version: 4.6.1
Homepage: https://github.com/RastislavKish/nvda2speechd
Vcs-Browser: https://salsa.debian.org/a11y-team/nvda2speechd
Vcs-Git: https://salsa.debian.org/a11y-team/nvda2speechd.git
XS-Autobuild: no

Package: nvda2speechd
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 nvdacontrollerclient:amd64, nvdacontrollerclient:i386,
Description: Bridge between Windows applications and Speech dispatcher
 It is already possible to use SAPI in Wine, however, the default Microsoft
 voices are not particularly responsive or diverse in terms of supported
 languages, and installing others and configuring them can be challenging
 without sighted assistance.
 .
 nvda2speechd is a bridge, which can link applications capable of speaking
 through NVDA right into Speech dispatcher installed on the user's computer.
 .
 This contains the server part, to be started before the Windows applications.

Package: nvdacontrollerclient
Architecture: i386 amd64
Multi-Arch: same
Depends:
 ${misc:Depends},
Description: Bridge between Windows applications and Speech dispatcher
 It is already possible to use SAPI in Wine, however, the default Microsoft
 voices are not particularly responsive or diverse in terms of supported
 languages, and installing others and configuring them can be challenging
 without sighted assistance.
 .
 nvda2speechd is a bridge, which can link applications capable of speaking
 through NVDA right into Speech dispatcher installed on the user's computer.
 .
 This contains the nvda controller replacement library.
