=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%nvda2speechd-$1.tar.gz%" \
   https://github.com/RastislavKish/nvda2speechd/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
